<bugID>1158553<Summary>Star button / Edit Bookmark panel doesn't move the bookmark to the chosen folder</Summary><Description>STR:
1. Create a new folder in Bookmarks Menu.
2. Create a new bookmark by star button (so it will be added to Unsorted Bookmarks).
3. Move it to the folder created before.
4. Being on bookmarked site edit it by star button and look on wrongly showed Folder localization.



Regression window (mozilla-inbound-win32)
Good:
https://ftp.mozilla.org/pub/mozilla.org/firefox/tinderbox-builds/mozilla-inbound-win32/1429822861/

Bad:
https://ftp.mozilla.org/pub/mozilla.org/firefox/tinderbox-builds/mozilla-inbound-win32/1429824241/

Pushlog:
https://hg.mozilla.org/integration/mozilla-inbound/pushloghtml?fromchange=2f2888ca42c2&amp;tochange=2a1ddf08a4b4

Probably caused by:
Bug 951651 - Make bookmarkProperties, Star UI and Library info pane work with PlacesTransactions. r=mak



[Tracking Requested - why for this release]: Regression



@ Mano - Could you look on this issue?</Description></bugID>